Debian Bug report logs - #475579
klipper: CTRL-C clipboard buffer emptys on application closure

version graph

Package: klipper; Maintainer for klipper is Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>; Source for klipper is src:kde-workspace.

Reported by: Sheridan Hutchinson <Sheridan@Shezza.org>

Date: Fri, 11 Apr 2008 19:15:01 UTC

Severity: normal

Tags: fixed-upstream, patch

Merged with 581349

Found in versions kdebase/4:3.5.9.dfsg.1-2, kdebase-workspace/4:4.4.3-1

Fixed in version 4:4.8.3-1

Done: Don Armstrong <don@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://bugs.kde.org/show_bug.cgi?id=241242

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Sheridan@Shezza.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#475579; Package klipper. Full text and rfc822 format available.

Acknowledgement sent to Sheridan Hutchinson <Sheridan@Shezza.org>:
New Bug report received and forwarded. Copy sent to Sheridan@Shezza.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sheridan Hutchinson <Sheridan@Shezza.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: klipper: CTRL-C clipboard buffer emptys on application closure
Date: Fri, 11 Apr 2008 20:05:40 +0100
Package: klipper
Version: 4:3.5.9.dfsg.1-2+b1
Severity: normal

Hi,

I recently started using klipper again to get the most of the clipboard 
system in X, however something just isn't quite right with it so I asked 
on Usenet.

http://groups.google.co.uk/group/uk.comp.os.linux/browse_thread/thread/4b7d42403420bedc#

The only configuration options that I have enabled are 'prevent empty 
clipboard' and 'seperate clipboard and selection'

The problem is replicated by the following:
CTRL-C in iceweasel > close iceweasel  > paste into kwrite : nothing
appears (bad)

I've tried with konqueror and OpenOffice and get the same problem.  It 
seems that although 'prevent empty clipboard' is enabled it just doesn't 
extend to doing a CTRL-C.

I've got two machines here with almost identifical configuration which 
exhibit the problem.

I'd be interested if someone else in testing could replicate this.

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages klipper depends on:
ii  kdelibs4c2a          4:3.5.9.dfsg.1-2+b1 core libraries and binaries for al
ii  libc6                2.7-10              GNU C Library: Shared libraries
ii  libgcc1              1:4.3.0-1           GCC support library
ii  libqt3-mt            3:3.3.8b-5          Qt GUI Library (Threaded runtime v
ii  libstdc++6           4.3.0-1             The GNU Standard C++ Library v3
ii  libx11-6             2:1.0.3-7           X11 client-side library
ii  libxfixes3           1:4.0.3-2           X11 miscellaneous 'fixes' extensio
ii  zlib1g               1:1.2.3.3.dfsg-11   compression library - runtime

klipper recommends no packages.

-- no debconf information




Added tag(s) moreinfo. Request was from Eckhart Wörner <ewoerner@kde.org> to control@bugs.debian.org. (Mon, 10 May 2010 22:33:03 GMT) Full text and rfc822 format available.

Information stored :
Bug#475579; Package klipper. (Mon, 10 May 2010 22:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eckhart Wörner <ewoerner@kde.org>:
Extra info received and filed, but not forwarded. (Mon, 10 May 2010 22:33:05 GMT) Full text and rfc822 format available.

Message #12 received at 475579-quiet@bugs.debian.org (full text, mbox):

From: Eckhart Wörner <ewoerner@kde.org>
To: 475579-quiet@bugs.debian.org, 475579-submitter@bugs.debian.org
Subject: Re: klipper: CTRL-C clipboard buffer emptys on application closure
Date: Tue, 11 May 2010 00:31:10 +0200
tags 475579 + moreinfo
thanks

Hi,

you reported http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=475579 some time 
ago. Since then, KDE Software Compilation had several releases. Can you please 
verify whether the bug you reported is still present in a more current version 
(and - if yes - specify which version)?

Eckhart




Message sent on to Sheridan Hutchinson <Sheridan@Shezza.org>:
Bug#475579. (Mon, 10 May 2010 22:33:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#475579; Package klipper. (Tue, 11 May 2010 07:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sheridan Hutchinson <sheridan@shezza.org>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Tue, 11 May 2010 07:51:04 GMT) Full text and rfc822 format available.

Message #20 received at 475579@bugs.debian.org (full text, mbox):

From: Sheridan Hutchinson <sheridan@shezza.org>
To: 475579@bugs.debian.org
Cc: Eckhart Wörner <ewoerner@kde.org>
Subject: Just Checked Again
Date: Tue, 11 May 2010 08:47:59 +0100
Yeah same behaviour with KDE 4.4 in unstable.

1.) Open Kate

2.) type in "this is a test"

3.) select that text, --> edit --> copy

4.) paste the text around, lovely

5.) close the original Kate session you copied the text from

6.) one can no longer paste "this is a test" anywhere

-- 
Regards,
Sheridan Hutchinson
sheridan@shezza.org




Forcibly Merged 475579 581349. Request was from Robert Wohlrab <robert.wohlrab@gmx.de> to control@bugs.debian.org. (Thu, 13 May 2010 11:12:03 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://bugs.kde.org/show_bug.cgi?id=235344'. Request was from Robert Wohlrab <robert.wohlrab@gmx.de> to control@bugs.debian.org. (Thu, 13 May 2010 11:21:06 GMT) Full text and rfc822 format available.

Changed Bug forwarded-to-address to 'https://bugs.kde.org/show_bug.cgi?id=235344, merged-upstream: http://bugs.kde.org/show_bug.cgi?id=229052' from 'https://bugs.kde.org/show_bug.cgi?id=235344' Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 20 May 2010 16:33:31 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 20 May 2010 16:33:32 GMT) Full text and rfc822 format available.

Removed tag(s) moreinfo. Request was from Eckhart Wörner <ewoerner@kde.org> to control@bugs.debian.org. (Fri, 21 May 2010 14:51:08 GMT) Full text and rfc822 format available.

Reply sent to Olivier Vitrat <ovit.debian@gmail.com>:
You have taken responsibility. (Wed, 09 Jun 2010 02:27:08 GMT) Full text and rfc822 format available.

Notification sent to Sheridan Hutchinson <Sheridan@Shezza.org>:
Bug acknowledged by developer. (Wed, 09 Jun 2010 02:27:08 GMT) Full text and rfc822 format available.

Message #35 received at 475579-done@bugs.debian.org (full text, mbox):

From: Olivier Vitrat <ovit.debian@gmail.com>
To: 397136-done@bugs.debian.org, 565732-done@bugs.debian.org, 580269-done@bugs.debian.org, 536441-done@bugs.debian.org, 575746-done@bugs.debian.org, 533071-done@bugs.debian.org, 525833-done@bugs.debian.org, 475579-done@bugs.debian.org, 581349-done@bugs.debian.org, 438147-done@bugs.debian.org, 553478-done@bugs.debian.org, 581409-done@bugs.debian.org, 580343-done@bugs.debian.org
Subject: Closing this bug report
Date: Tue, 8 Jun 2010 22:24:45 -0400
Hello
This has been fixed in KDE 4.4.4
Closing this bug report.
Olivier




Reply sent to Olivier Vitrat <ovit.debian@gmail.com>:
You have taken responsibility. (Wed, 09 Jun 2010 02:27:09 GMT) Full text and rfc822 format available.

Notification sent to Robert Wohlrab <robert.wohlrab@gmx.de>:
Bug acknowledged by developer. (Wed, 09 Jun 2010 02:27:09 GMT) Full text and rfc822 format available.

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 09 Jun 2010 08:00:10 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Robert Wohlrab <robert.wohlrab@gmx.de> to control@bugs.debian.org. (Wed, 09 Jun 2010 09:39:05 GMT) Full text and rfc822 format available.

Changed Bug forwarded-to-address to 'http://bugs.kde.org/show_bug.cgi?id=241242' from 'https://bugs.kde.org/show_bug.cgi?id=235344, merged-upstream: http://bugs.kde.org/show_bug.cgi?id=229052' Request was from Eckhart Wörner <ewoerner@kde.org> to control@bugs.debian.org. (Sun, 16 Jan 2011 02:15:03 GMT) Full text and rfc822 format available.

Removed tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 17 Jan 2011 16:36:28 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 15 Dec 2011 16:42:09 GMT) Full text and rfc822 format available.

Reply sent to Don Armstrong <don@debian.org>:
You have taken responsibility. (Sat, 14 Jul 2012 05:51:16 GMT) Full text and rfc822 format available.

Notification sent to Sheridan Hutchinson <Sheridan@Shezza.org>:
Bug acknowledged by developer. (Sat, 14 Jul 2012 05:51:16 GMT) Full text and rfc822 format available.

Message #55 received at 475579-done@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 475579-done@bugs.debian.org
Subject: Fixed in 4:4.8.3-1
Date: Fri, 13 Jul 2012 22:40:36 -0700
Version: 4:4.8.3-1

This has been fixed in 4:4.8.3-1. Please reopen if you have tested a
version later than that and it still recurs.


Don Armstrong

-- 
I'm wrong to criticize the valor of your brave men. It's important to
die for one's country when it means being the subject of a king who
wears a ruffled collar or a pleated one.
 -- Cyrano de Bergerac

http://www.donarmstrong.com              http://rzlab.ucr.edu




Reply sent to Don Armstrong <don@debian.org>:
You have taken responsibility. (Sat, 14 Jul 2012 05:51:17 GMT) Full text and rfc822 format available.

Notification sent to Robert Wohlrab <robert.wohlrab@gmx.de>:
Bug acknowledged by developer. (Sat, 14 Jul 2012 05:51:17 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 11 Aug 2012 07:26:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:19:07 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.